org.eclipse.ecf.filetransfer.events.socket

## Interface ISocketConnectedEvent

All Superinterfaces:
  Event, ISocketEvent

All Known Implementing Classes:
  SocketConnectedEvent

    public interface ISocketConnectedEvent
    extends ISocketEvent

Event issued after a socket successfully connected.

Can be used to wrap a socket by calling `setSocket(Socket)`.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the ECF team.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setSocket(Socket socket)` Sets a socket to be used by the app.

### Methods inherited from interface org.eclipse.ecf.filetransfer.events.socket.ISocketEvent

`getFactorySocket, getSocket, getSource, isSameFactorySocket`

### Method Detail

#### setSocket

    void setSocket(Socket socket)

Sets a socket to be used by the app.

If this method is not called `ISocketEvent.getFactorySocket()` and `ISocketEvent.getSocket()` will be the same. Otherwise `ISocketEvent.getSocket()` will return the passed in socket.

Parameters:
  `socket` - socket